[arch-commits] Commit in firefox/repos (4 files)

Jan de Groot jgc at archlinux.org
Sat Jul 18 11:51:14 UTC 2009


    Date: Saturday, July 18, 2009 @ 07:51:14
  Author: jgc
Revision: 46445

Merged revisions 44683,46444 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/firefox/trunk

........
  r44683 | jgc | 2009-07-03 19:53:41 +0200 (Fri, 03 Jul 2009) | 1 line
  
  Disable profiled build, it does not work with makechrootpkg, and it does not make sense anyways, since all optimization should take place in xulrunner
........
  r46444 | jgc | 2009-07-18 13:50:35 +0200 (Sat, 18 Jul 2009) | 2 lines
  
  upgpkg: firefox 3.5.1-1
      Update to 3.5.1 - add patch to keep firefox-3.5 as installation directory
........

Added:
  firefox/repos/extra-x86_64/firefox-version.patch
    (from rev 46444, firefox/trunk/firefox-version.patch)
Modified:
  firefox/repos/extra-x86_64/	(properties)
  firefox/repos/extra-x86_64/PKGBUILD
  firefox/repos/extra-x86_64/mozconfig

-----------------------+
 PKGBUILD              |   31 ++++++++++++++-----------------
 firefox-version.patch |   11 +++++++++++
 mozconfig             |    2 --
 3 files changed, 25 insertions(+), 19 deletions(-)


Property changes on: firefox/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /firefox/trunk:1-44393
   + /firefox/trunk:1-46444

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-07-18 11:50:35 UTC (rev 46444)
+++ extra-x86_64/PKGBUILD	2009-07-18 11:51:14 UTC (rev 46445)
@@ -2,14 +2,14 @@
 # Contributor: Jakub Schmidtke <sjakub at gmail.com>
 
 pkgname=firefox
-pkgver=3.5
+pkgver=3.5.1
 pkgrel=1
-_xulver=1.9.1
+_xulver=1.9.1.1
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
 depends=("xulrunner>=${_xulver}" 'desktop-file-utils')
-makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python' 'xorg-server')
+makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python')
 replaces=('firefox3')
 install=firefox.install
 url="http://www.mozilla.org/projects/firefox"
@@ -18,18 +18,21 @@
         firefox.desktop
         firefox-safe.desktop
         mozilla-firefox-1.0-lang.patch
-        browser-defaulturls.patch)
-md5sums=('6dd59399db08963ef022a1d0e5010053'
-         '9ef5d73fdcda6b9f99f17ed9993693aa'
+        browser-defaulturls.patch
+        firefox-version.patch)
+md5sums=('18169e189785d680827d4fce94524449'
+         'd672df11a6e16a5dec68428b00bfb810'
          '68cf02788491c6e846729b2f2913bf79'
          '5e68cabfcf3c021806b326f664ac505e'
          'bd5db57c23c72a02a489592644f18995'
-         '346d74ec560e7bbf453c02ff21f4b868')
+         '346d74ec560e7bbf453c02ff21f4b868'
+         '1dd9a10df0b9e4cf332eadc326d78e07')
 
 build() {
-  cd "${srcdir}/mozilla-${_xulver}"
+  cd "${srcdir}/mozilla-1.9.1"
   patch -Np1 -i "${srcdir}/mozilla-firefox-1.0-lang.patch" || return 1
   patch -Np0 -i "${srcdir}/browser-defaulturls.patch" || return 1
+  patch -Np1 -i "${srcdir}/firefox-version.patch" || return 1
 
   cp "${srcdir}/mozconfig" .mozconfig
   unset CFLAGS
@@ -37,20 +40,14 @@
 
   export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.5"
 
-  LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX :99 &
-  XPID=$!
-  export DISPLAY=:99
+  make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
+  make -j1 DESTDIR="${pkgdir}" install || return 1
 
-  LD_PRELOAD="" make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
-  kill $XPID
-
-  make -j1 DESTDIR=${pkgdir} -C ff-opt-obj install || return 1
-
   rm -f ${pkgdir}/usr/lib/firefox-3.5/libjemalloc.so
 
   install -m755 -d ${pkgdir}/usr/share/applications
   install -m755 -d ${pkgdir}/usr/share/pixmaps
-  install -m644 ${srcdir}/mozilla-${_xulver}/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
+  install -m644 ${srcdir}/mozilla-1.9.1/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
   install -m644 ${srcdir}/firefox.desktop ${pkgdir}/usr/share/applications/ || return 1
   install -m644 ${srcdir}/firefox-safe.desktop ${pkgdir}/usr/share/applications/ || return 1
 }

Copied: firefox/repos/extra-x86_64/firefox-version.patch (from rev 46444, firefox/trunk/firefox-version.patch)
===================================================================
--- extra-x86_64/firefox-version.patch	                        (rev 0)
+++ extra-x86_64/firefox-version.patch	2009-07-18 11:51:14 UTC (rev 46445)
@@ -0,0 +1,11 @@
+--- mozilla-1.9.1/browser/installer/Makefile.in.ver	2009-07-18 13:32:35.000000000 +0200
++++ mozilla-1.9.1/browser/installer/Makefile.in	2009-07-18 13:33:12.000000000 +0200
+@@ -43,6 +43,8 @@
+ 
+ include $(DEPTH)/config/autoconf.mk
+ 
++MOZ_APP_VERSION="3.5"
++
+ NO_PKG_FILES = \
+ 	$(MOZ_APP_NAME)-config \
+ 	$(MOZ_APP_NAME)-bin.elf \

Modified: extra-x86_64/mozconfig
===================================================================
--- extra-x86_64/mozconfig	2009-07-18 11:50:35 UTC (rev 46444)
+++ extra-x86_64/mozconfig	2009-07-18 11:51:14 UTC (rev 46445)
@@ -26,8 +26,6 @@
 ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9.1
 ac_add_options --enable-safe-browsing
 ac_add_options --with-branding=browser/branding/unofficial
-mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-opt-obj
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
 
 export BUILD_OFFICIAL=1
 export MOZILLA_OFFICIAL=1




More information about the arch-commits mailing list